Bug 473444 - AVC denial to TFTP file/directory
AVC denial to TFTP file/directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 10:27 EST by Paul Melvin
Modified: 2009-11-18 08:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:00:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
semanage test (707 bytes, application/octet-stream)
2008-11-28 10:28 EST, Paul Melvin
no flags Details
avc alert (2.79 KB, application/octet-stream)
2008-11-28 10:28 EST, Paul Melvin
no flags Details

  None (edit)
Description Paul Melvin 2008-11-28 10:27:55 EST
Description of problem:

I have installed fedora 10 from the live cd and have installed the tftp daemon, when trying to write to the file i had created i get denied by selinux.  When i try to change its behaviour to permissive i get a make error, which according to someone on the fedora-selinux irc should not happen, and he suggested i log a bug report.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul Melvin 2008-11-28 10:28:39 EST
Created attachment 325003 [details]
semanage test
Comment 2 Paul Melvin 2008-11-28 10:28:59 EST
Created attachment 325004 [details]
avc alert
Comment 3 Daniel Walsh 2008-12-01 15:28:36 EST
Looks like you were trying to write to a directory where you were not allowed.

Fixed in policycoreutils-2.0.57-12.fc10
Comment 4 Bug Zapper 2009-11-18 04:01:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Daniel Walsh 2009-11-18 08:00:09 EST
Closing as current release

Note You need to log in before you can comment on or make changes to this bug.